Graph API endpoint to get granular stats for a data set aggregated by event time or upload time
GET /v27.0/{offline-conversion-data-set-id}/stats HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{offline-conversion-data-set-id}/stats',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{offline-conversion-data-set-id}/stats",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{offline-conversion-data-set-id}/stats",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{offline-conversion-data-set-id}/stats"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| 參數 | 描述 |
|---|---|
aggr_timeenum{upload_time, event_time} | 預設值: event_timeMetrics aggregated on event time or upload time |
endinteger | Timestamp for range end |
granularityenum{daily, hourly, six_hourly} | 預設值: dailyGranularity of stats returned, either daily or hourly. Hourly granularity not supported for date ranges older than 30 days |
skip_empty_valuesboolean | 預設值: falseSkip records if all numbers are empty |
startinteger | Timestamp for range start |
user_timezone_idint64 | Timezone ID to convert data into, does not support date ranges older than 30 days. Supported timezones - https://developers.facebook.com/docs/marketing-api/reference/ad-account/timezone-ids/ |
由此關係連線進行的閱讀將回傳 JSON 格式結果:
{ "
data": [], "paging": {}, "summary": {} }
datapagingsummary與關係連線相關的彙總資訊,例如次數等。請在摘要參數中指定要擷取的欄位(例如 summary=attribution_status)。
| 欄位 | 說明 |
|---|---|
attribution_statusenum | Status of attribution over the specified time period. Possible values are no_attribution, low_attribution and fine_attribution |
countinteger | Number of events in the specified time period |
match_rate_approxint32 | Approximate match rate percentage for all events in the specified time period |
usd_amountinteger | Sum of USD(in cents) of all events in the specified time period |
| 錯誤 | 說明 |
|---|---|
| 21019 | Offline Conversions API requests are deprecated from v20 onwards. Please use Conversions API for offline signals. v19 is the latest version that supports this Offline Conversions API endpoint and can be used until v19 is deprecated |